felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FELIX-5698) Bundle plugin cannot cope with Java 9 module-info.java
Date Tue, 03 Oct 2017 10:27:00 GMT

    [ https://issues.apache.org/jira/browse/FELIX-5698?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16189518#comment-16189518

ASF GitHub Bot commented on FELIX-5698:

GitHub user johnpoth opened a pull request:


    [FELIX-5698] Upgrade biz.aQute.bndlib to 3.5.0 for Java 9 GA support


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/johnpoth/felix FELIX-5698

Alternatively you can review and apply these changes as the patch at:


To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #122
commit 17dd7598750e33cd93854aa1bf5b1d647dc86c5a
Author: jpoth <poth.john@gmail.com>
Date:   2017-10-03T10:21:18Z

    [FELIX-5698] Upgrade biz.aQute.bndlib to 3.5.0 for Java 9 GA support


> Bundle plugin cannot cope with Java 9 module-info.java
> ------------------------------------------------------
>                 Key: FELIX-5698
>                 URL: https://issues.apache.org/jira/browse/FELIX-5698
>             Project: Felix
>          Issue Type: Bug
>          Components: Maven Bundle Plugin
>    Affects Versions: maven-bundle-plugin-3.3.0
>         Environment: java version "9"
> Java(TM) SE Runtime Environment (build 9+181)
> Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)
>            Reporter: Mark Raynsford
> Please see the trivial repro case at:
> [maven-bundle-plugin-20170923|https://github.com/io7m/maven-bundle-plugin-20170923]
> The plugin fails with:
> {noformat}
> [ERROR] Bundle com.io7m.bugs:maven-bundle-plugin-20170923:bundle:0.1.0 : Exception: java.lang.ArrayIndexOutOfBoundsException:
> [ERROR] Bundle com.io7m.bugs:maven-bundle-plugin-20170923:bundle:0.1.0 : Invalid class
file module-info.class (java.lang.ArrayIndexOutOfBoundsException: 19)
> {noformat}
> There doesn't appear to be a way to exclude the module-info.java files from BND's class
file analysis. An easy fix for this bug would be to simple ignore module-info.java files as
they're irrelevant for OSGi (but will be present in projects that aim to support both OSGi
and Jigsaw).

This message was sent by Atlassian JIRA

View raw message